from PySide6.QtWidgets import QApplication, QFrame, QHBoxLayout, QVBoxLayout, QLabel, \
    QLineEdit, QPushButton
from PySide6 import QtGui, QtCore

app = QApplication()

pixmap_logo = QtGui.QPixmap('icons/logo.png')
app.setWindowIcon(pixmap_logo)

class LoginWindow(QFrame):
    def __init__(self):
        super().__init__() 
        self.setWindowTitle('白月SMS - 登录')        
        self.setFixedSize(800, 600)

        self.setStyleSheet('''background: #e7ebf2;''')

        layout = QHBoxLayout(self)
       

        layout.addStretch() # layout 开头 `addStretch`

        layout_1 = QVBoxLayout()
        layout.addLayout(layout_1)

        layout_1.addStretch(1)
        # 公司名称，logo
        layout_1.addLayout(self.titleLayout())

        layout_1.addSpacing(20)
        # 登录输入框   
        layout_1.addWidget(self.loginBox())
        
        layout_1.addStretch(2)

        layout.addStretch() # layout 结尾 `addStretch`


    def titleLayout(self):
        layout = QHBoxLayout()
      
        layout.addStretch(2)

        label = QLabel()
        # 设置label显示的pixmap
        label.setPixmap(pixmap_logo.scaledToWidth(30, QtCore.Qt.SmoothTransformation))
        layout.addWidget(label)

        layout.addSpacing(20)
        
        label = QLabel('白月 SMS 系统')
        
        label.setStyleSheet('font-family: 微软雅黑;font-size:30px;color:#32779f;font-weight:bold')
        layout.addWidget(label)

        layout.addStretch(3)


        return layout
    

    def loginBox(self):
        box = QFrame()
        box.setStyleSheet(
'''
.QFrame {background: white}
                          
* {    
    font-family: consolas, 微软雅黑 ;
    font-size:15px;
}  

QLineEdit{    
    background: #e8f0fe;
    height: 30px;  
    border: none;
    color: #32779f;
}

QPushButton{  
    height: 30px;  
    background: #367fa9;
    color:white;    
    border: 1px solid #367fa9;
}
                          
''')

        box.setFixedWidth(360)

        layout = QVBoxLayout(box)
        layout.setContentsMargins(30,10,30,30)
        
        layout.addSpacing(16)

        label = QLabel('输入用户名、密码登录')
        label.setStyleSheet('font-size:14px;color:#666;background:white')
        layout.addWidget(label,alignment=QtGui.Qt.AlignCenter)
        
        layout.addSpacing(16)

        username = QLineEdit('byhy')
        username.setAlignment(QtGui.Qt.AlignCenter)        
        username.addAction(QtGui.QIcon('icons/icon-user.png'), QLineEdit.TrailingPosition)

        layout.addWidget(username)

        layout.addSpacing(10)

        password = QLineEdit('88888888')
        password.setAlignment(QtGui.Qt.AlignCenter)  
        password.addAction(QtGui.QIcon('icons/icon-passwd.png'), QLineEdit.TrailingPosition)
        password.setEchoMode(QLineEdit.Password)
        layout.addWidget(password)

        layout.addSpacing(20)

        okBtn = QPushButton('登录')
        layout.addWidget(okBtn)

        return box

lw = LoginWindow()
lw.show()

app.exec()